Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.modca
Class PreprocessPresentationObject

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.modca.AbstractStructuredObject
              org.apache.fop.afp.modca.AbstractTripletStructuredObject
                  org.apache.fop.afp.modca.PreprocessPresentationObject

All Implemented Interfaces:
  Streamable

    public class PreprocessPresentationObject

extends AbstractTripletStructuredObject

The Preprocess Presentation Object structured field specifies presentation parameters for a data object that has been mapped as a resource.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary
`static byte` | `ORIENTATION_180_DEGREES` 180 degrees orientation
`static byte` | `ORIENTATION_270_DEGREES` 270 degrees orientation
`static byte` | `ORIENTATION_90_DEGREES` 90 degrees orientation
`static byte` | `ORIENTATION_ZERO_DEGREES` 0 degrees orientation

Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`triplets`

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`LOG, SF_CLASS, SF_HEADER_LENGTH`

Constructor Summary
`PreprocessPresentationObject(AbstractTripletStructuredObject prePresObj)` Main constructor

Method Summary
`void` | `setOrientation(byte orientation)` Sets the object orientations relative to media leading edge
`void` | `setXOffset(int xOffset)` Sets the X axis origin for object content
`void` | `setYOffset(int yOffset)` Sets the Y axis origin for object content
`void` | `writeContent(java.io.OutputStream os)` Helper method to write the contents of the Object.
`void` | `writeStart(java.io.OutputStream os)` Helper method to write the start of the Object.

Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setFullyQualifiedName, setObjectClassification, writeTriplets`

Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject
`writeEnd, writeToStream`

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copySF, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ORIENTATION_ZERO_DEGREES

    public static final byte ORIENTATION_ZERO_DEGREES

  0 degrees orientation

  See Also:
    Constant Field Values

### ORIENTATION_90_DEGREES

    public static final byte ORIENTATION_90_DEGREES

  90 degrees orientation

  See Also:
    Constant Field Values

### ORIENTATION_180_DEGREES

    public static final byte ORIENTATION_180_DEGREES

  180 degrees orientation

  See Also:
    Constant Field Values

### ORIENTATION_270_DEGREES

    public static final byte ORIENTATION_270_DEGREES

  270 degrees orientation

  See Also:
    Constant Field Values

Constructor Detail

### PreprocessPresentationObject

    public PreprocessPresentationObject(AbstractTripletStructuredObject prePresObj)

  Main constructor

  Parameters:
    `prePresObj` - the presentation object to be preprocessed

Method Detail

### setOrientation

    public void setOrientation(byte orientation)

  Sets the object orientations relative to media leading edge

  Parameters:
    `orientation` - the object orientations relative to media leading edge

### setXOffset

    public void setXOffset(int xOffset)

  Sets the X axis origin for object content

  Parameters:
    `xOffset` - the X axis origin for object content

### setYOffset

    public void setYOffset(int yOffset)

  Sets the Y axis origin for object content

  Parameters:
    `yOffset` - the Y axis origin for object content

### writeStart

    public void writeStart(java.io.OutputStream os)
                    throws java.io.IOException

  Helper method to write the start of the Object.

  Overrides:
    `writeStart` in class `AbstractStructuredObject`
  Parameters:
    `os` - The stream to write to
  Throws:
    `java.io.IOException` - throws an I/O exception if one occurred

### writeContent

    public void writeContent(java.io.OutputStream os)
                      throws java.io.IOException

  Helper method to write the contents of the Object.

  Overrides:
    `writeContent` in class `AbstractStructuredObject`
  Parameters:
    `os` - The stream to write to
  Throws:
    `java.io.IOException` - throws an I/O exception if one occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.